Subject: [Sip] RE: Open Issue #20: Mixing unicast/multicast in offer/answer

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 7 Sep 2001 15:53:25 -0400

It has been over two weeks since I sent this.

There was consensus on this issue at IETF. As there was no response to my
post, I will assume there is consensus on this on the list as well. I will
clarify this in bis 05, and this issue is now closed.

Thanks,
Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: Jonathan Rosenberg 
> Sent: Wednesday, August 22, 2001 6:32 PM
> To: [email-masked]'
> Subject: Open Issue #20: Mixing unicast/multicast in offer/answer
> 
> 
> Issue:
> 
> Appendix B is silent on whether its allowed to send an SDP 
> offer with a c line thats unicast, and answer with multicast. 
> Same with the inverse: can you answer  a multicast offer with unicast?
> 
> Points for discussion:
> 
> In general, it is my view that the answer SDP should always 
> be something that the offerer is guaranteed to be able to 
> use. That is a consequence of the two way offer/answer 
> handshake. If an offer is unicast, answering multicast seems 
> a bad thing, since you don't know whether the offerer can do 
> unicast. The argument is a bit weaker for the inverse case, 
> but there could be cases where one is being invited to an 
> mbone session that is multicast, where responding unicast 
> makes little sense.
> 
> Furthermore, the semantics of mixed unicast/multicast in 
> offer answer aren't entirely clear. 
> 
> Proposal:
> 
> If the offer is unicast, so must be the answer. If the offer 
> is multicast, the answer should mirror that address (i.e., 
> use the same multicast group). If you want a particular 
> stream to change from unicast to multicast, re-invite to update it.
> 
> There was consensus on this proposal at IETF 51. Any list objections?
> 
> Thanks,
> Jonathan R.
> 
> ---
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>  
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip